<template>
  <div class="table-page-search-wrapper">
    <div class="table-page-search-submitButtons groups">
      <a-button type="danger" icon="plus" disabled>
        Create group
      </a-button>
      <a-button @click="loadData" icon="reload" />
    </div>
    <div>
      <a-table
        :columns="columns"
        :data-source="data"
        :pagination="false"
        :loading="loading"
        row-key="GroupName"
      >
        <span slot="renderDate" slot-scope="text">{{ text | dayjs }}</span>
      </a-table>
    </div>
  </div>
</template>

<script>
import { usersApi } from '@/api'
const columns = [
  {
    title: 'Group Name',
    key: 'GroupName',
    dataIndex: 'GroupName'
  },
  {
    title: 'Precedence',
    key: 'Precedence',
    dataIndex: 'Precedence'
  },
  {
    title: 'Updated',
    key: 'LastModifiedDate',
    dataIndex: 'LastModifiedDate',
    scopedSlots: { customRender: 'renderDate' }
  },
  {
    title: 'Created',
    key: 'CreationDate',
    dataIndex: 'CreationDate',
    scopedSlots: { customRender: 'renderDate' }
  }
]
export default {
  data () {
    return {
      columns,
      data: [],
      loading: true
    }
  },
  created () {
    this.loadData()
  },
  methods: {
    loadData () {
      this.loading = true
      usersApi.getGroups()
        .then(res => (this.data = res.items))
        .catch(error => this.$message.error(`Error: ${error.message}`))
        .finally(() => (this.loading = false))
    }
  }
}
</script>

<style lang="scss" scoped>
.groups {
  display: flex;
  justify-content: space-between;
}
</style>
